/** 2008, Digitalis Informatica. All rights reserved.
 * 
 * Distribuicao e Gestao de Informatica, Lda.
 * Estrada de Paco de Arcos num.9 - Piso -1
 * 2780-666 Paco de Arcos
 * Telefone: (351) 21 4408990
 * Fax: (351) 21 4408999
 * http://www.digitalis.pt 
 */

package pt.digitalis.utils.ioc.exception;

/**
 * IoC Exception.
 * 
 * @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a><br/>
 * @created 2008/05/15
 */
public class IoCException extends Exception {

    /** The serial version UID. */
    private static final long serialVersionUID = 7978477398059742613L;

    /**
     * Builds a new exception from a message.
     * 
     * @param message
     *            the message
     */
    public IoCException(String message) {
        super(message);
    }

    /**
     * Builds a new exception from a cause.
     * 
     * @param cause
     *            the cause
     */
    public IoCException(Throwable cause) {
        super(cause);
    }

    /**
     * Builds a new exception from a message and a cause.
     * 
     * @param message
     *            the message
     * @param cause
     *            the cause
     */
    public IoCException(String message, Throwable cause) {
        super(message, cause);
    }
}
